Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle.processor
Class ProcessIfStartedMessageProcessor

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.processor.AbstractFilteringMessageProcessor
              org.mule.lifecycle.processor.ProcessIfStartedMessageProcessor

All Implemented Interfaces:
  MuleContextAware, InterceptingMessageProcessor, MessageProcessor, MessageSource

Direct Known Subclasses:
  ProcessIfStartedWaitIfPausedMessageProcessor

    public class ProcessIfStartedMessageProcessor

extends AbstractFilteringMessageProcessor

Field Summary
`protected LifecycleState` | `lifecycleState`
`protected Startable` | `startable`

Fields inherited from class org.mule.processor.AbstractFilteringMessageProcessor
`throwOnUnaccepted, unacceptedMessageProcessor`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, muleContext, next, notificationHandler`

Constructor Summary
`ProcessIfStartedMessageProcessor(Startable startable, LifecycleState lifecycleState)`

Method Summary
`protected boolean` | `accept(MuleEvent event)`
`protected String` | `getStartableName(Startable startableObject)`
`protected MuleEvent` | `handleUnaccepted(MuleEvent event)`

Methods inherited from class org.mule.processor.AbstractFilteringMessageProcessor
`filterUnacceptedException, getUnacceptedMessageProcessor, isThrowOnUnaccepted, process, setThrowOnUnaccepted, setUnacceptedMessageProcessor`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener, setMuleContext, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### startable

    protected Startable startable

### lifecycleState

    protected LifecycleState lifecycleState

Constructor Detail

### ProcessIfStartedMessageProcessor

    public ProcessIfStartedMessageProcessor(Startable startable,
                                            LifecycleState lifecycleState)

Method Detail

### accept

    protected boolean accept(MuleEvent event)

  Specified by:
    `accept` in class `AbstractFilteringMessageProcessor`

### handleUnaccepted

    protected MuleEvent handleUnaccepted(MuleEvent event)
                                  throws LifecycleException

  Overrides:
    `handleUnaccepted` in class `AbstractFilteringMessageProcessor`
  Throws:
    `LifecycleException`

### getStartableName

    protected String getStartableName(Startable startableObject)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.